For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
      • GETCompany By Domain
      • POSTCreate Company
      • GETCompanies
      • GETCompany
      • PUTUpdate Company
      • DELDelete Company
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
Deal ManagementCompany

Update Company

PUT
/api/v1/group/:group_id/company/:company_id
PUT
/api/v1/group/:group_id/company/:company_id
$curl -X PUT https://app.termina.ai/api/v1/group/1/company/1 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "name": "string",
3 "domain": "example.com",
4 "id": 1,
5 "group_id": 1,
6 "thumbnail_url": "string",
7 "created_at": "2024-01-15T09:30:00Z",
8 "updated_at": "2024-01-15T09:30:00Z",
9 "is_archived": true
10}
Update a company.
Was this page helpful?
Previous

Delete Company

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
company_idintegerRequired

Request

This endpoint expects an object.
namestring or nullOptional
domainstring or nullOptional
thumbnail_urlstring or nullOptional<=2048 characters
The thumbnail URL of the company

Response

Successful Response
namestring
The name of the company
domainstring
The domain of the company
idinteger
group_idinteger
thumbnail_urlstring or null<=2048 characters
The thumbnail URL of the company
created_atstringformat: "date-time"
updated_atstring or nullformat: "date-time"
is_archivedboolean or null

Errors

422
Unprocessable Entity Error